curl -X GET "https://api.foxreach.io/api/v1/webhooks" \
-H "X-API-Key: otr_your_key"
{
"data": [
{
"id": "cwh_abc123",
"url": "https://your-app.com/webhooks/outreach",
"isActive": true,
"events": ["email.sent", "reply.received"],
"lastDeliveredAt": "2025-01-15T10:30:00",
"consecutiveFailures": 0,
"createdAt": "2025-01-01T10:00:00",
"updatedAt": "2025-01-15T10:30:00"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}
Retrieve a paginated list of webhooks in your workspace.
curl -X GET "https://api.foxreach.io/api/v1/webhooks" \
-H "X-API-Key: otr_your_key"
{
"data": [
{
"id": "cwh_abc123",
"url": "https://your-app.com/webhooks/outreach",
"isActive": true,
"events": ["email.sent", "reply.received"],
"lastDeliveredAt": "2025-01-15T10:30:00",
"consecutiveFailures": 0,
"createdAt": "2025-01-01T10:00:00",
"updatedAt": "2025-01-15T10:30:00"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}
Show Webhook object
curl -X GET "https://api.foxreach.io/api/v1/webhooks" \
-H "X-API-Key: otr_your_key"
{
"data": [
{
"id": "cwh_abc123",
"url": "https://your-app.com/webhooks/outreach",
"isActive": true,
"events": ["email.sent", "reply.received"],
"lastDeliveredAt": "2025-01-15T10:30:00",
"consecutiveFailures": 0,
"createdAt": "2025-01-01T10:00:00",
"updatedAt": "2025-01-15T10:30:00"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}
secret is never returned in list or get responses. It is only shown once when the webhook is created.